package com.seatel.mobilehall.ui.packages.model

class TableModel(
    var standard: String,
    var destination: ArrayList<TableSubModel>?
) {
    override fun equals(other: Any?): Boolean {
        if ((other != null) && (other is TableModel)) {
            if (other.destination != null) {
                for (subTab in other.destination!!) {
                    if (this.standard.equals(subTab.destination, true)) {
                        return true
                    }
                }
            }
        }
        return false
    }
}

class TableSubModel(
    var destination: String,
    var countryCode: String
) {
    override fun equals(other: Any?): Boolean {
        if (other != null && other is TableSubModel) {
            if (this.destination.equals(other.destination, true)) {
                return true
            }
        }
        return false
    }
}